Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.descriptor.dc
Class ObjectFactory

    java.lang.Object
      org.teleal.cling.support.contentdirectory.descriptor.dc.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.teleal.cling.support.contentdirectory.descriptor.dc package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.contentdirectory.descriptor.dc

Method Summary
`Contributor` | `createContributor(java.lang.String value)` Create an instance of `Contributor`}
`Creator` | `createCreator(java.lang.String value)` Create an instance of `Creator`}
`Date` | `createDate(java.lang.String value)` Create an instance of `Date`}
`Description` | `createDescription(java.lang.String value)` Create an instance of `Description`}
`Language` | `createLanguage(java.lang.String value)` Create an instance of `Language`}
`Publisher` | `createPublisher(java.lang.String value)` Create an instance of `Publisher`}
`Relation` | `createRelation(java.lang.String value)` Create an instance of `Relation`}
`Rights` | `createRights(java.lang.String value)` Create an instance of `Rights`}
`Title` | `createTitle(java.lang.String value)` Create an instance of `Title`}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.contentdirectory.descriptor.dc

Method Detail

### createRights

    public Rights createRights(java.lang.String value)

  Create an instance of `Rights`}

### createRelation

    public Relation createRelation(java.lang.String value)

  Create an instance of `Relation`}

### createDate

    public Date createDate(java.lang.String value)

  Create an instance of `Date`}

### createPublisher

    public Publisher createPublisher(java.lang.String value)

  Create an instance of `Publisher`}

### createCreator

    public Creator createCreator(java.lang.String value)

  Create an instance of `Creator`}

### createLanguage

    public Language createLanguage(java.lang.String value)

  Create an instance of `Language`}

### createTitle

    public Title createTitle(java.lang.String value)

  Create an instance of `Title`}

### createContributor

    public Contributor createContributor(java.lang.String value)

  Create an instance of `Contributor`}

### createDescription

    public Description createDescription(java.lang.String value)

  Create an instance of `Description`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.